#livestock-market {
  position: absolute;
}

#livestock-market-button {
  font-size: 1rem;
  position: relative;
  top: 10px;
  left: -5px;
  margin: 0px 5px;
  cursor: pointer;
  padding: 7px 20px;
  background: #ffffff;
  border-radius: 10px;
  box-shadow: 0px 1px 3px #ddd;
  -webkit-tap-highlight-color: transparent;
}

#livestock-market-items {
  position: relative;
  background: #fff;
  margin-top: 28px;
  padding: 20px;
  border-radius: 15px;
  z-index: 1;
}

#livestock-container {
  display: none;
  position: absolute;
  top: 0px;
  left: 50%;
  flex-direction: column;
  align-items: center;
  width: 100%;
  max-width: 800px;
  height: 100vh;
  background: var(--grass);
  z-index: 5;
  overflow: hidden;
  padding: 20px;
  transform: translate(-50%, 0px);
}

#livestock-content {
  margin-top: 70px;
  height: 100%;
  width: 100%;
}

#livestock-list {
  position: relative;
  margin-top: 50px;
  width: 100%;
  height: 90%;
}

.livestock-item {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  z-index: 10;
  -webkit-tap-highlight-color: transparent;
}

.livestock-emoji {
  -webkit-tap-highlight-color: transparent;
  margin-bottom: 2px;
  pointer-events: none;
}

.livestock-status-bars {
  width: 40px;
  pointer-events: none;
}

.status-bar-bg {
  width: 100%;
  height: 4px;
  background: rgba(0, 0, 0, 0.1);
  border-radius: 2px;
  overflow: hidden;
}

.status-bar-fill {
  height: 100%;
}

.prod-fill {
  background: var(--progress-fill);
}

.livestock-market {
  margin-top: 20px;
  background: #fff;
  padding: 20px;
  border-radius: 15px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.05);
  -webkit-tap-highlight-color: transparent;
}

.livestock-market h3 {
  margin-bottom: 15px;
  color: #2e8b57;
}

.ls-market-item {
  background: #f9f9f9;
  width: 75px;
  padding: 10px;
  border-radius: 8px;
  text-align: center;
  cursor: pointer;
  border: 2px solid transparent;
  -webkit-tap-highlight-color: transparent;
}

.ready-badge {
  position: absolute;
  right: -16px;
  background: #ffffff;
  border-radius: 50%;
  width: 35px;
  height: 35px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.2rem;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  animation: bounce 1s infinite;
}

.emoji-cow ~ .ready-badge {
  top: 0px;
}

.emoji-chicken ~ .ready-badge {
  top: -15px;
}
.emoji-cow {
  font-size: 4.5rem;
}

.emoji-chicken {
  font-size: 2.5rem;
}

@keyframes bounce {
  0%,
  100% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }
}

#livestock-quests-container {
  position: relative;
  padding: 10px 0px;
  margin-bottom: 0px;
}

#livestock-quests-container::before {
  content: "";
  position: absolute;
  bottom: 2px;
  left: -20px;
  width: 111%;
  height: 105px;
  background-color: var(--soil);
  box-shadow: inset 0px 0px 3px 1px #c6a267;
  z-index: 0;
}

#livestock-quests {
  position: relative;
  display: grid;
  bottom: 70px;
  grid-template-rows: repeat(1, auto);
  grid-auto-flow: column;
  grid-gap: 0px;
}

.ls-quest-item {
  padding: 10px;
}
